using System;
using System.Collections.Generic;
using System.Text;
using FileHelpers;

namespace GMail2PocketOutlookLib
{
    [DelimitedRecord(",")]
    [IgnoreFirst]   // Discard first line when reading the CSV
    public class GMailContact
    {
        // Name
        public string Name;
        
        // E-mail
        [FieldOptional()]
        public string Email;
        
        // Notes
        [FieldOptional()]
        public string Notes;

        // Section 1 - Description
        [FieldOptional()]
        public string Description_S1;
        
        // Section 1 - Email
        [FieldOptional()]
        public string Email_S1;
        
        // Section 1 - IM
        [FieldOptional()]
        public string IM_S1;

        // Section 1 - Phone
        [FieldOptional()]
        public string Phone_S1;
        
        // Section 1 - Mobile
        [FieldOptional()]
        public string Mobile_S1;
        
        // Section 1 - Pager
        [FieldOptional()]
        public string Pager_S1;
        
        // Section 1 - Fax
        [FieldOptional()]
        public string Fax_S1;
        
        // Section 1 - Company
        [FieldOptional()]
        public string Company_S1;
        
        // Section 1 - Title
        [FieldOptional()]
        public string Title_S1;
        
        // Section 1 - Other
        [FieldOptional()]
        public string Other_S1;
        
        // Section 1 - Address
        [FieldOptional()]
        public string Address_S1;
        
        // Section 2 - Description
        [FieldOptional()]
        public string Description_S2;
        
        // Section 2 - Email
        [FieldOptional()]
        public string Email_S2;
        
        // Section 2 - IM
        [FieldOptional()]
        public string IM_S2;
        
        // Section 2 - Phone
        [FieldOptional()]
        public string Phone_S2;
        
        // Section 2 - Mobile
        [FieldOptional()]
        public string Mobile_S2;
        
        // Section 2 - Pager
        [FieldOptional()]
        public string Pager_S2;
        
        // Section 2 - Fax
        [FieldOptional()]
        public string Fax_S2;
        
        // Section 2 - Company
        [FieldOptional()]
        public string Company_S2;
        
        // Section 2 - Title
        [FieldOptional()]
        public string Title_S2;
        
        // Section 2 - Other
        [FieldOptional()]
        public string Other_S2;
        
        // Section 2 - Address
        [FieldOptional()]
        public string Address_S2;
    }
}
